#include "Base/DataStructure.h"
#include <boost/test/unit_test.hpp>

BOOST_AUTO_TEST_CASE(SyncMessage) {
    using namespace Older;
    constexpr auto password = "123456";
    auto account = Account::hashPassword(password);
    BOOST_CHECK_EQUAL(Account::verifyPassword(account, password), true);
    BOOST_CHECK_EQUAL(Account::verifyPassword(account, "23456"), false);
}